# std::span<T,Extent>::begin, std::span<T,Extent>::cbegin

From cppreference.com
< cpp‎ | container‎ | span

constexpr iterator begin() const noexcept; |  |
constexpr const_iterator cbegin() const noexcept; |  |

Returns an iterator to the first element of the span.

If the span is empty, the returned iterator will be equal to end().

### Parameters

(none)

### Return value

Iterator to the first element

### Complexity

Constant

### Example

| This section is incomplete Reason: no example

### See also

end cend | returns an iterator to the end (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/span/begin&oldid=104930"